httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <...@sunstarsys.com>
Subject Re: need assistance installing Apache::Request
Date Tue, 19 Jun 2001 17:27:31 GMT
gene <gene01@smalltime.com> writes:

> [Mon Jun 18 21:13:13 2001] [error] Can't load 
> '/usr/lib/perl5/site_perl/5.6.0/i386-linux/auto/Apache/Request/Request.so' 
> for module Apache::Request: libapreq.so.0: cannot open shared object 
> file: No such file or directory at 
> /usr/lib/perl5/5.6.0/i386-linux/DynaLoader.pm line 200.
>   at /usr/lib/perl5/5.6.0/i386-linux/mod_perl.pm line 14

I recognize this symptom from long-term memory; but unfortunately I 
don't recall the cause.

> I am using apache version 1.3.14,
> mod_perl is: Embedded Perl version v5.6.0 for 
> Apache-AdvancedExtranetServer/1.3.14 (Linux-Mandrake/2mdk) 
> mod_perl/1.24 both installed from apache-mod_perl-1.3.14_1.24,
> perl is v5.6.0 built for i386-linux from perl-5.600-17mdk
> 
> The includes are from mod_perl-1.24 downloaded from CPAN and I've 
> tried the apache includes downloaded from apache.org as well as from 
> apache-devel-1.3.14-2mdk.i586.rpm.

  Dunno, but maybe an rpm -ql on the relevant rpm's might show a 
conflict in file locations (.h vs .so).

> Any help would be appreciated.

So you did not build apache+mod_perl yourself, but got it from
rpm(s), right? If so, which ones?  Do you have more than one
perl binary on your system? Try

  % ls -l /usr/bin/perl*
  % ls -l /usr/local/bin/perl*

Also, have you been able to successfully install any other Apache:: 
packages that required XS (e.g. Apache::PassThru, Apache::TrafficCop)?

I think we need more step-by-step info to see what went wrong.
Please post the output of (using unedited distribution of libapreq)

  % perl Makefile.PL
  % make
  % make install



-- 
Joe Schaefer


Mime
View raw message